/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/

/*Sticky Header style*/
.transitions {
  transition: .3s ease-in-out all;
}
#brx-header{
	position: fixed;
  top: 0;
  left: 0;
  right: 0;
	z-index:999;
}

#header-main-row {
	height: 100px;
	display: flex;
	justify-content: center;
	background-color: #203148;
}
#header-wrap{
  max-width: min(1260px, 100%);
  padding: 0 10px;
	height: 100%;
  display: flex;
  align-items: center;
  width: 100%;
  justify-content: space-between;
}
#brx-header #header-main-row {
    filter: drop-shadow(0px 0px 2px rgb(0 0 0 / 30%));
  }
  #brx-header.stuck #header-main-row {
    height: 80px;
  }
#header-logo{
  height: 75px;
  aspect-ratio: 210/75;
}
#header-logo img{
  height: 100%;
  width: auto;
}
#brx-header.stuck #header-logo{
	height: 65px;
}

#brx-header nav{
  margin-left: 20px;
	font-weight: bold;
	letter-spacing: 5%;
	text-transform: uppercase;
}
#brx-header nav .brx-submenu-toggle.icon-right button{
  display: none;
}
#brx-header nav li{
    margin: 0;
    padding: 20px 42px;
  }
@media(min-width: 992px){
	#menu-main-menu .sub-menu{
	overflow:hidden;
    border-radius: 10px;
	max-width: 350px;
	min-width: 350px;
	white-space: normal;
	left: 0;
	background-color:#fff;
	color: #203148;
		box-shadow: 0 10px 25px rgba(0, 0, 0, 0.15);
}
#brx-header nav .sub-menu li{
    padding: 0px;
	transition: .3s all ease-in-out;
}
#brx-header nav .sub-menu li:hover{
	background-color: #edddc0;
}
#brx-header nav .sub-menu a{
    line-height: 1.2;
    padding: 22px;
}
}
@media(max-width: 1220px) {
	#header-wrap{
		justify-content: unset;
	}
	#header-logo{
		margin-right: auto;
	}
	#brx-header nav{
		margin-left:auto;
	}
	#brx-header nav li{
		margin: 0;
		padding: 20px 30px;
	  }
}
@media(max-width: 1220px) {
	.phone-btn{
		padding: 5px !important;
		height: 40px !important;
		width: 40px !important;
		font-size: 0 !important;
		position:relative;
		background-color:transparent !important;
		border: none !important;
		margin-right: 10px;
}
	.phone-btn:hover{
		box-shadow: none!important;
	}
.phone-btn::before{
    background: url('/wp-content/uploads/2026/03/phone-call.svg');
	background-size: contain;
	background-repeat:no-repeat;
    width: calc(100% - 10px);
    height: calc(100% - 10px);
    content:'';
    position:absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%,-50%);
    transition: .3s ease-in-out all;
}
	.phone-btn:hover::before{
			transform: translate(-50%,-50%) scale(1.1);
	}
}

  @media(max-width: 991px) {
	  #header-main-row{
		  height: 80px;
	  }
    #brx-header.stuck #header-main-row {
      height: 65px;
    }
	  #header-logo{
		height: 55px;  
	  }
	#brx-header.stuck #header-logo{
		height: 50px;
}
  }
  
  /* admin bar adjustments */
  .admin-bar #brx-header {
    top: 32px;
  }
/* @media (max-width: 991px) and (min-width: 600px) {
    .admin-bar:not(.header-stuck) #menu-wrap {
      top: 32px;
      height: calc(100vh - 32px);
    }
  } */
  @media(max-width: 782px) {
    .admin-bar #brx-header {
      top: 46px;
    }
  }
  @media(max-width: 600px) {
    html {
      margin-top: 0 !important;
    }
    #wpadminbar {
      display: none;
    }
    .admin-bar #brx-header {
      top: 0;
    }
  }

/*Toggle Header style*/
.menu-trigger {
  cursor:pointer;
}

/* toggle menu icon */
.menu-trigger #menu-icon,
.menu-trigger #menu-icon::before,
.menu-trigger #menu-icon::after {
  height: 3px;
  position: absolute;
  border-radius: 1px;
  transition: 0.3s ease all; /* should match time in js file */
  /* box-shadow: 0 0 1px 0.5px rgb(101 121 137 / 15%); */
}
.menu-trigger #menu-icon {
  background-color: #edddc0 !important;
}
.menu-trigger #menu-icon::before,
.menu-trigger #menu-icon::after {
  content: "";
  left: 0;
}
.menu-trigger #menu-icon::before {
  margin-top: -33%;
  width: 100%;
  background-color: #edddc0;
}
.menu-trigger #menu-icon::after {
  margin-top: 33%;
  width: 78%;
  background-color: #edddc0;
}
.menu-trigger.menu-trigger-open #menu-icon::before,
.menu-trigger.menu-trigger-open #menu-icon::after {
  margin-top: 0px;
  background-color: #edddc0;
}
.menu-trigger.menu-trigger-open #menu-icon {
  box-shadow: none;
  height: 0px;
  background-color: transparent;
}
.menu-trigger.close-icon #menu-icon::before {
  transform: rotate(45deg);
  width: 100%;
}
.menu-trigger.close-icon #menu-icon::after {
  transform: rotate(-45deg);
  width: 100%;
}

/* menu open */
#menu-wrap.menu-open {
  transform: translateX(-100%) !important;
  opacity: 1;
	
}
#menu-wrap.menu-open #toggle-menu-inner {
  box-shadow: -6px 0px 12px rgba(0, 0, 0, 0.1);
}

/* menu backdrop (added by JS) */
.menu-backdrop {
  pointer-events: none;
  display: flex;
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 19;
  background-color: rgb(0 0 0 / 0%);
  transition: 0.3s ease background-color;
}
.menu-backdrop.live {
  pointer-events: all;
  background-color: rgb(0 0 0 / 40%);
}
.no-scroll {
  overflow: hidden;
}

#toggle-menu-trigger {
  width: 40px;
  height: 40px;
  display: none; 
  align-items: center;
  justify-content: center;
  z-index: 1;
  position: relative;
  cursor: pointer;
	padding-left: 10px;
	padding-right: 10px;
}
@media(min-width: 992px){
	#menu-inner,
	#menu-wrap {
		transition: none;
	}
	#menu-wrap.menu-open {
		transform: none !important;
	}
}
@media(max-width: 991px) {
  #toggle-menu-trigger {
    display: flex;
	}
	#header-wrap{
		background-color: #203148;
	}
	#menu-wrap {
    background-color:#203148;
    width: 350px;
    max-width: 100%;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 100%;
	z-index:-1;
  }
	#menu-icon {
	  width: 26px;
	  font-size: 0px;
	  color: transparent;
	}
	#menu-inner {
		padding: 20px 0;
		margin-top: 80px;
		width: 100%;
		height: 100%;
		display: flex;
		flex-direction: row;
		align-items: start;
	}
	#brx-header.stuck 	#menu-inner{
		margin-top: 65px;
	}

}

/*Drop down menu*/



@media(max-width: 991px){
	#menu-main-menu li:hover > div > a,
	#menu-main-menu li:hover > a,
	#menu-main-menu li:hover > div > button{
		color: 	#edddc0 !important;
		transition: .3s all ease-in-out;
	}
  #menu-main-menu{
  color: #203148;
  flex-direction: column;
	  gap: 10px;
}
	#menu-main-menu .sub-menu{
		color: #fff;
		background-color:#203148;	
}
	#brx-header nav #menu-main-menu li{
		margin: 0;
		padding: 0;
		white-space: normal;
		line-height: 1.2;
	}
	#menu-main-menu a{
		padding: 10px 25px ;
		width:100%;
		color: #fff;
		transition: .3s all ease-in-out;
	}


#brx-header nav .brx-submenu-toggle.icon-right button{
	height: 100%;
	display: block !important;
	padding: 15px;
	margin: 0;
	font-size: 16px;
	position: relative;
	color: #fff;
}

#menu-main-menu li.sub-menu-open > .brx-submenu-toggle svg {
    transform: none;
	
}
#menu-main-menu button svg {
  transform: rotate(-90deg);
  transition: .3s ease-in-out all;
}
	#menu-main-menu .sub-menu {
        position: relative;
        width: 100%;
        visibility: visible;
        opacity: 1;
		color: #edddc0;
		background-color:#203148;
        padding-left: 15px;
		max-height: 0;
        overflow: hidden;
        transition: 0.3s ease-in-out max-height;
    }
	#menu-main-menu .sub-menu.brx-open.is-open {
		max-height: 1000px;
	}
	#main-menu li .brx-submenu-toggle button::before {
		content: '';
		left: 0;
		top: 50%;
		transform: translateY(-50%);
		height: 50%;
		width: 2px;
		position: absolute;
		background-color: #fff;
	}
	@layer bricks {
		:where(.brxe-nav-menu) .bricks-nav-menu>li.menu-item-has-children:hover:before{
			display:none;
		}
	}
}